Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationLDAP

    public interface ConfigurationLDAP

This interface define methods to manage LDAP server configuration.

Method Summary
`java.lang.String` | `autoImportLDAPUser(java.lang.String userName, java.lang.String password)` Auto import a LDAP user
`boolean` | `checkSynchronization()` Deprecated. This method is not effective since V7.0
`boolean` | `confirmFilter(java.lang.String userName, java.lang.String filter)` Test the user confirming the LDAP search filter or not
`boolean` | `deleteSynSchedule()` Delete the LDAP Synchronization schedule task
`boolean` | `disableSynSchedule()` Disable the LDAP Synchronization schedule
`boolean` | `enableSynSchedule()` Enable the LDAP Synchronization schedule
`boolean` | `exportSynResultToXMLFile(java.lang.String outputDir, SynchronizationResult result)` Export the LDAP synchronization result object to a xml file
`java.util.Vector` | `getEncryptedUsers()` Deprecated. This method is not effective since V7.0
`SynchronizationResult` | `getLastLDAPSynchronizeScheduleResult()` Get the last LDAP synchronization schedule task's result object
`java.util.Vector` | `getLDAPGroups()` Get the ldap groups set according to ldap configration
`java.util.Enumeration` | `getLdapSynchronization()` Deprecated. This method is not effective since V7.0
`java.util.Vector` | `getLDAPUsers()` Get the ldap users set according to ldap configration
`java.util.Properties` | `getSynchronizeSchedule()` Get the LDAP synchronization schedule's propeties
`java.util.Enumeration` | `getUserNames()` get ldap users names
`boolean` | `importAllLDAPUsersAndGroups(boolean isOverWrite)` Import all LDAP groups and users from LDAP server
`boolean` | `importLDAPGroups(boolean isOverWrite)` Import LDAP groups to local from LDAP Server(import to role or group)
`boolean` | `importLDAPGroupsAndUsers()` Deprecated. This method is not effective since V7.0
`boolean` | `importLDAPRoles(boolean isOverWrite)` Deprecated. This method is not effective since V7.1 replaced by importLDAPGroups(boolean isOverWrite)
`boolean` | `importLDAPUsers(boolean isOverWrite)` Import LDAP user to local from LDAP Server
`boolean` | `importSpecifyLDAPGroups(java.util.Vector specifyRolesName, boolean isOverWrite)` Import some LDAP groups that specified by customers to local from LDAP Server (import to role or group)
`boolean` | `importSpecifyLDAPRoles(java.util.Vector specifyRolesName, boolean isOverWrite)` Deprecated. This method is not effective since V7.1 replaced by importSpecifyLDAPGroups(Vector specifyRolesName, boolean isOverWrite)
`boolean` | `importSpecifyLDAPUsers(java.util.Vector specifyUsersName, boolean isOverWrite)` Import some LDAP users that specified by customers to local from LDAP Server
`boolean` | `isConfromFilter(java.lang.String userName, java.lang.String filter)` Deprecated. This method is not effective since V8.0
`boolean` | `isLDAPScheduleEnable()` Check the LDAP Synchronization schedule is enable or not
`boolean` | `isValidLDAPUser(java.lang.String userName, java.lang.String password)` Check a user is a valid LDAP user or not
`boolean` | `isValidLDAPUserByDN(java.lang.String userName, java.lang.String userDN, java.lang.String password)` Check a user is a valid LDAP user or not
`java.lang.String` | `listExistedGroupDescriptions(java.lang.String groupName)` Deprecated. This method is not effective since V6
`java.util.Vector` | `listExistedGroups()` Return all groups in LDAP.
`java.util.Vector` | `listExistedGroupsName()` Deprecated. This method is not effective since V6
`java.lang.String` | `listExistedUserFullName(java.lang.String name)` Deprecated. This method is not effective since V6
`java.util.Vector` | `listExistedUserNames()` Deprecated. This method is not effective since V6
`java.util.Vector` | `listExistedUsers()` Return all user names in LDAP.
`void` | `setEncryptedUserAuthInfo(java.lang.String name, java.lang.String pw)` Deprecated. This method is not effective since V6
`boolean` | `submitSynchronizeSchedule(java.util.Properties pro, java.lang.String submitter)` Submit a new LDAP synchronization schedule to server.
`SynchronizationResult` | `synchronize()` Synchronize the server's security information with LDAP server
`java.lang.String` | `testRoleMap(java.lang.String filter, java.lang.String roleName)` Test the role Map is a valid role Map or not

Method Detail

### getLdapSynchronization

    java.util.Enumeration getLdapSynchronization()

  Deprecated. This method is not effective since V7.0

  check Synchronization and return the Entries and the acls

  Returns:
    hashtable key:acl name value:entry name

### getUserNames

    java.util.Enumeration getUserNames()

  get ldap users names

  Returns:
    enumeration with users names.

### importLDAPGroupsAndUsers

    boolean importLDAPGroupsAndUsers()

  Deprecated. This method is not effective since V7.0

  put ldap user and group into server.

  Returns:
    boolean if import is success.

### checkSynchronization

    boolean checkSynchronization()

  Deprecated. This method is not effective since V7.0

  put the ldap user and group synchronization with server

  Returns:
    boolean if check is success.

### setEncryptedUserAuthInfo

    void setEncryptedUserAuthInfo(java.lang.String name,
                                  java.lang.String pw)

  Deprecated. This method is not effective since V6

  save user password when the user is Encrypted.

  Parameters:
    `name` - is user name.
    `pw` - is password.

### listExistedUsers

    java.util.Vector listExistedUsers()

  Return all user names in LDAP.

### listExistedGroups

    java.util.Vector listExistedGroups()

  Return all groups in LDAP.

### listExistedUserNames

    java.util.Vector listExistedUserNames()

  Deprecated. This method is not effective since V6

  Return all user names in LDAP.

### listExistedUserFullName

    java.lang.String listExistedUserFullName(java.lang.String name)

  Deprecated. This method is not effective since V6

  Return all user full names in LDAP.

### listExistedGroupsName

    java.util.Vector listExistedGroupsName()

  Deprecated. This method is not effective since V6

  Return all groups in LDAP.

### listExistedGroupDescriptions

    java.lang.String listExistedGroupDescriptions(java.lang.String groupName)

  Deprecated. This method is not effective since V6

  Return all groups Description in LDAP.

### importLDAPUsers

    boolean importLDAPUsers(boolean isOverWrite)

  Import LDAP user to local from LDAP Server

  Parameters:
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Since:
    V6

### importSpecifyLDAPUsers

    boolean importSpecifyLDAPUsers(java.util.Vector specifyUsersName,
                                   boolean isOverWrite)

  Import some LDAP users that specified by customers to local from LDAP Server

  Parameters:
    `specifyUsersName` - the specify LDAP users' name set.
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Since:
    V6

### importLDAPRoles

    boolean importLDAPRoles(boolean isOverWrite)

  Deprecated. This method is not effective since V7.1 replaced by importLDAPGroups(boolean isOverWrite)

  Import LDAP groups to local roles from LDAP Server

  Parameters:
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Since:
    V6

### importLDAPGroups

    boolean importLDAPGroups(boolean isOverWrite)

  Import LDAP groups to local from LDAP Server(import to role or group)

  Parameters:
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Since:
    V7.1

### importSpecifyLDAPRoles

    boolean importSpecifyLDAPRoles(java.util.Vector specifyRolesName,
                                   boolean isOverWrite)

  Deprecated. This method is not effective since V7.1 replaced by importSpecifyLDAPGroups(Vector specifyRolesName, boolean isOverWrite)

  Import some LDAP groups that specified by customers to local roles from LDAP Server

  Parameters:
    `specifyRolesName` - specified roles' name set
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Since:
    V6

### importSpecifyLDAPGroups

    boolean importSpecifyLDAPGroups(java.util.Vector specifyRolesName,
                                    boolean isOverWrite)

  Import some LDAP groups that specified by customers to local from LDAP Server (import to role or group)

  Parameters:
    `specifyRolesName` - specified roles' name set
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import sucessful or not
  Since:
    V7.1

### importAllLDAPUsersAndGroups

    boolean importAllLDAPUsersAndGroups(boolean isOverWrite)

  Import all LDAP groups and users from LDAP server

  Parameters:
    `isOverWrite` - true is LDAP user overwrite local user, otherwise is not.
  Returns:
    import successful return true otherwise return false

### getLDAPUsers

    java.util.Vector getLDAPUsers()

  Get the ldap users set according to ldap configration

  Returns:
    the ldap users set.
  Since:
    V6

### getLDAPGroups

    java.util.Vector getLDAPGroups()

  Get the ldap groups set according to ldap configration

  Returns:
    the ldap groups set.
  Since:
    V6

### getEncryptedUsers

    java.util.Vector getEncryptedUsers()

  Deprecated. This method is not effective since V7.0

  Return all users which have Encrypted.

### testRoleMap

    java.lang.String testRoleMap(java.lang.String filter,
                                 java.lang.String roleName)

  Test the role Map is a valid role Map or not

  Parameters:
    `filter` - the role map's filter
    `roleName` - the role map's binding role name
  Returns:
    the test message
  Since:
    server V7.0

### autoImportLDAPUser

    java.lang.String autoImportLDAPUser(java.lang.String userName,
                                        java.lang.String password)

  Auto import a LDAP user

  Parameters:
    `userName` - the user's name
    `password` - the user's password
  Returns:
    if imported successful, return null, otherwise return error message
  Since:
    server V7.0

### isConfromFilter

    boolean isConfromFilter(java.lang.String userName,
                            java.lang.String filter)

  Deprecated. This method is not effective since V8.0

  Test the user is conform the LDAP search filter or not

  Parameters:
    `userName` - the user's name
    `filter` - the LDAP search filter
  Returns:
    if conform this filter return ture, otherwise return false.
  Since:
    server V7.0

### confirmFilter

    boolean confirmFilter(java.lang.String userName,
                          java.lang.String filter)

  Test the user confirming the LDAP search filter or not

  Parameters:
    `userName` - the user's name
    `filter` - the LDAP search filter
  Returns:
    if conform this filter return ture, otherwise return false.
  Since:
    server V8.0

### isValidLDAPUser

    boolean isValidLDAPUser(java.lang.String userName,
                            java.lang.String password)

  Check a user is a valid LDAP user or not

  Parameters:
    `userName` - the user's name
    `password` - the user's password
  Returns:
    if user is a valid LDAP user return true, otherwise return false.
  Since:
    server V7.0

### isValidLDAPUserByDN

    boolean isValidLDAPUserByDN(java.lang.String userName,
                                java.lang.String userDN,
                                java.lang.String password)

  Check a user is a valid LDAP user or not

  Parameters:
    `userDN` - the user's dn in LDAP server
    `password` - the user's password
  Returns:
    if user is a valid LDAP user return true, otherwise return false.
  Since:
    server V8.0

### synchronize

    SynchronizationResult synchronize()

  Synchronize the server's security information with LDAP server

  Returns:
    a SynchronizationResult Object, the user can get the synchronization information. For instance: the users' name that have been remove because LDAP server removed them.
  Since:
    server V7.0

### isLDAPScheduleEnable

    boolean isLDAPScheduleEnable()

  Check the LDAP Synchronization schedule is enable or not

  Returns:
    if this schedule is enable, return true, otherwise return false.
  Since:
    server V7.0

### submitSynchronizeSchedule

    boolean submitSynchronizeSchedule(java.util.Properties pro,
                                      java.lang.String submitter)

  Submit a new LDAP synchronization schedule to server. If there is a schedule store in server, the system will replace this old schedule with new schedule.

  Parameters:
    `pro` - the schedule's properties.
    `submitter` - the submitter's name
  Returns:
    If submit successful, return true. otherwise return false.
  Since:
    server V7.0

### getSynchronizeSchedule

    java.util.Properties getSynchronizeSchedule()

  Get the LDAP synchronization schedule's propeties

  Returns:
    Properties the schedule's properties

### disableSynSchedule

    boolean disableSynSchedule()

  Disable the LDAP Synchronization schedule

  Returns:
    if diable successful return true, otherwise return false
  Since:
    server V7.0

### enableSynSchedule

    boolean enableSynSchedule()

  Enable the LDAP Synchronization schedule

  Returns:
    if enable successful return true, otherwise return false
  Since:
    server V7.0

### deleteSynSchedule

    boolean deleteSynSchedule()

  Delete the LDAP Synchronization schedule task

  Returns:
    if delete successful return true, otherwise return false
  Since:
    server V7.0

### exportSynResultToXMLFile

    boolean exportSynResultToXMLFile(java.lang.String outputDir,
                                     SynchronizationResult result)

  Export the LDAP synchronization result object to a xml file

  Parameters:
    `outputDir` - the xml file's dir, for example: C:\temp\result.xml
    `result` - the LDAP synchronization result
  Returns:
    if export object successful return true, otherwise return false
  Since:
    server V7.0

### getLastLDAPSynchronizeScheduleResult

    SynchronizationResult getLastLDAPSynchronizeScheduleResult()

  Get the last LDAP synchronization schedule task's result object

  Returns:
    the LDAP synchroniztion result object
  Since:
    server V7.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD